Subject: Re: [PATCH] refs.c: use skip_prefix() in prettify_refname()

From: Junio C Hamano <[email-masked]>
Date: Thu, 23 Mar 2017 13:05:24 -0700

Jeff King <[email-masked]> writes:

> On Thu, Mar 23, 2017 at 12:33:06PM -0700, Junio C Hamano wrote:
>
>> >> Nice, but why add the "if" when it's doing nothing?
>> >
>> > It's short-circuiting in the conditional.
>> 
>> I think René meant this:
>> 
>>      /* just for side effects */
>>      skip_prefix(name, "refs/heads/", &name) ||
>>      skip_prefix(name, "refs/tags/", &name) ||
>>      skip_prefix(name, "refs/remotes/", &name);
>> 
>>      return name;
>> 
>> which still short-sircuits, even though I do think it looks
>> strange; "correct but strange".
>
> And it causes the compiler to complain that the value is not used.

Ahh.  OK.

In any case, I've queued the original with "if", which shouldn't
have that problem ;-)